LibItsCam_Encdec.cc File Reference
`#include <memory>`
`#include "LibItsCam_EncdecDeclarations.hh"`
`#include "CAMCodec.hh"`
`#include "UpperTesterCamCodec.hh"`
`#include "loggers.hh"`

## Namespaces

| LibItsCam__EncdecDeclarations

## Functions

BITSTRING | LibItsCam__EncdecDeclarations::fx__enc__CamReq (const LibItsCam__TestSystem::CamReq &p_camReq)
INTEGER | LibItsCam__EncdecDeclarations::fx__dec__CamReq (BITSTRING &b, LibItsCam__TestSystem::CamReq &p)
INTEGER | LibItsCam__EncdecDeclarations::fx__dec__CamInd (BITSTRING &b, LibItsCam__TestSystem::CamInd &p_camInd)
BITSTRING | LibItsCam__EncdecDeclarations::fx__enc__CAM (const CAM__PDU__Descriptions::CAM &p_cam)
INTEGER | LibItsCam__EncdecDeclarations::fx__dec__CAM (BITSTRING &b, CAM__PDU__Descriptions::CAM &p)
BITSTRING | LibItsCam__EncdecDeclarations::fx__enc__UtCamInitialize (const LibItsCam__TypesAndValues::UtCamInitialize &p_utCamInitialize)
BITSTRING | LibItsCam__EncdecDeclarations::fx__enc__UtCamChangePosition (const LibItsCam__TypesAndValues::UtCamChangePosition &p_utCamChangePosition)
BITSTRING | LibItsCam__EncdecDeclarations::fx__enc__UtCamTrigger (const LibItsCam__TypesAndValues::UtCamTrigger &p_utCamTrigger)
INTEGER | LibItsCam__EncdecDeclarations::fx__dec__UtCamResults (BITSTRING &b, LibItsCam__TypesAndValues::UtCamResults &p)
INTEGER | LibItsCam__EncdecDeclarations::fx__dec__UtCamEventInd (BITSTRING &b, LibItsCam__TypesAndValues::UtCamEventInd &p)